# ACE_Asynch_Connect_Impl Class Reference

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Connect. More...

`#include <Asynch_IO_Impl.h>`

Inheritance diagram for ACE_Asynch_Connect_Impl:

[legend]
Collaboration diagram for ACE_Asynch_Connect_Impl:

[legend]
List of all members.

## Public Member Functions

virtual | ~ACE_Asynch_Connect_Impl (void)
virtual int | connect (ACE_HANDLE connect_handle, const ACE_Addr &remote_sap, const ACE_Addr &local_sap, int reuse_addr, const void *act, int priority, int signal_number)=0

## Protected Member Functions

| ACE_Asynch_Connect_Impl (void)
| Do-nothing constructor.

## Detailed Description

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Connect.

## Constructor & Destructor Documentation

ACE_Asynch_Connect_Impl::~ACE_Asynch_Connect_Impl | ( | void |  | ) | `[virtual]`

ACE_INLINE ACE_Asynch_Connect_Impl::ACE_Asynch_Connect_Impl | ( | void |  | ) | `[protected]`

| Do-nothing constructor.

## Member Function Documentation

virtual int ACE_Asynch_Connect_Impl::connect | ( | ACE_HANDLE | connect_handle,
|  | const ACE_Addr & | remote_sap,
|  | const ACE_Addr & | local_sap,
|  | int | reuse_addr,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number
| ) | `[pure virtual]`

| This starts off an asynchronous connect Implemented in ACE_POSIX_Asynch_Connect, and ACE_WIN32_Asynch_Connect.

The documentation for this class was generated from the following files:

- Asynch_IO_Impl.h
- Asynch_IO_Impl.cpp
- Asynch_IO_Impl.inl